leaf_content_lock.email_configs:
  path: '/admin/config/leaf-configs-lock-emails'
  defaults:
    _form: '\Drupal\leaf_content_lock\Form\LeafContentlockEmailConfigurationForm'
    _title: 'Leaf Content Lock Email configurations'
  requirements:
    _permission: 'administer site configuration'


leaf_content_lock.email_send:
  path: '/sendmail/leaf-emails/{entity_type}/{entity}'
  defaults:
    _controller: '\Drupal\leaf_content_lock\Controller\LeafContentlockEmailController::sendEmail'
    _title: 'Leaf Content Lock Email Send'
  requirements:
    _permission: 'access content'
  options:
    parameters:
      entity:
        type: entity:{entity_type}


leaf_content_lock.entity.group.timeout:
  path: '/group/{group}/timeout'
  defaults:
    _form: '\Drupal\leaf_content_lock\Form\LeafContentlockGroupTimeoutForm'
    _title: 'Set content lock timeout'
  requirements:
    _role: 'project_technician'
  options:
    _group_operation_route: 'TRUE'
    parameters:
      group:
        type: 'entity:group'